Subject: [Hipsec] Question about IPv4 and IPv6 in HIP

From: [email-masked] (Joseph)
Date: Thu Sep 2 02:56:01 2004

Dear All,
	I am a new guy in HIP area. I am trying to understand about HIP. I
have a very basic question related to HIP , IPv4 and IPv6.
	As I know that in HIP, TCP/UDP will be run on HIP and HIP can run on
IPv4 and IPv6. However, if someone send a package from a IPv4 network to
IPv6 network like this:
	Source<--- (IPv4 Network) ---> Router A<-- (IPv6 Network) --->
Destination
	How can the package arrive the Destination without the tunneling? Is
that the router A will convert the package? How's the interworking?
	Thanks a lot.
Yours faithfully,
Joseph